---
lang: en
title: 'API docs: rest.httphandler.registerapicomponents'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.httphandler.registerapicomponents.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [HttpHandler](./rest.httphandler.md) &gt; [registerApiComponents](./rest.httphandler.registerapicomponents.md)

## HttpHandler.registerApiComponents() method

Merge components into the OpenApi spec

**Signature:**

```typescript
registerApiComponents(defs: ComponentsObject): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  defs | ComponentsObject | Components |

**Returns:**

void


